Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.lib
Class NamespaceConstant

    java.lang.Object
      net.sf.saxon.lib.NamespaceConstant

    public class NamespaceConstant

extends Object

This class is not instantiated, it exists to hold a set of constants representing known namespaces. For each of these, there is a constant for the namespace URI and for many of them, there is a numeric constant used as the code for this namespace in the name pool.

This class also defines constant URIs for some objects other than namespaces - for example, URIs that identify the various object models used in the JAXP XPath API, and the Unicode codepoint collation URI.

Author:
  Michael H. Kay

Field Summary
`static String` | `ANONYMOUS` Namespace for names allocated to anonymous types.
`static String` | `CODEPOINT_COLLATION_URI` URI identifying the Unicode codepoint collation
`static String` | `DOT_NET_TYPE` Namespace for types representing external .NET objects
`static String` | `ERR` The standard namespace for system error codes
`static String` | `EXSLT_COMMON` Fixed namespace name for EXSLT/Common: "http://exslt.org/common"
`static String` | `EXSLT_DATES_AND_TIMES` Fixed namespace name for EXSLT/date: "http://exslt.org/dates-and-times"
`static String` | `EXSLT_MATH` Fixed namespace name for EXSLT/math: "http://exslt.org/math"
`static String` | `EXSLT_RANDOM` Fixed namespace name for EXSLT/random: "http://exslt.org/random"
`static String` | `EXSLT_SETS` Fixed namespace name for EXSLT/sets: "http://exslt.org/sets"
`static String` | `FN` The standard namespace for functions and operators
`static String` | `JAVA_TYPE` Namespace for types representing external Java objects
`static String` | `LOCAL` Predefined XQuery namespace for local functions
`static String` | `MAP_FUNCTIONS` Namespace URI for XPath 3.0 functions associated with maps
`static String` | `MATH` Math namespace for the XPath 3.0 math functions
`static String` | `MICROSOFT_XSL` Recognize the Microsoft namespace so we can give a suitably sarcastic error message
`static String` | `NULL` A URI representing the null namespace (actually, an empty string)
`static short` | `NULL_CODE` The numeric URI code representing the null namespace (actually, zero)
`static String` | `OBJECT_MODEL_DOM4J` URI identifying the DOM4J object model for use in the JAXP 1.3 XPath API
`static String` | `OBJECT_MODEL_DOT_NET_DOM` URI identifying the .NET DOM object model (not used, but needed for consistency)
`static String` | `OBJECT_MODEL_JDOM` URI identifying the JDOM object model for use in the JAXP 1.3 XPath API
`static String` | `OBJECT_MODEL_SAXON` URI identifying the Saxon object model for use in the JAXP 1.3 XPath API
`static String` | `OBJECT_MODEL_XOM` URI identifying the XOM object model for use in the JAXP 1.3 XPath API
`static String` | `SAXON` Fixed namespace name for SAXON: "http://saxon.sf.net/"
`static short` | `SAXON_CODE` Numeric code representing the SAXON namespace
`static String` | `SAXON_CONFIGURATION` URI for the Saxon configuration file
`static String` | `SAXON_GENERATED_GLOBAL` URI for the names of generated global variables
`static String` | `SCHEMA` Namespace name for XML Schema: "http://www.w3.org/2001/XMLSchema"
`static short` | `SCHEMA_CODE` Numeric code representing the schema namespace
`static String` | `SCHEMA_INSTANCE` XML-schema-defined namespace for use in instance documents ("xsi")
`static String` | `SCHEMA_VERSIONING` Namespace defined in XSD 1.1 for schema versioning
`static String` | `SCM` Namespace for the Saxon serialization of the schema component model
`static String` | `SQL` Fixed namespace name for SAXON SQL extension: "http://saxon.sf.net/sql"
`static String` | `XHTML` The XHTML namespace http://www.w3.org/1999/xhtml
`static String` | `XML` Fixed namespace name for XML: "http://www.w3.org/XML/1998/namespace".
`static short` | `XML_CODE` Numeric code representing the XML namespace
`static String` | `XMLNS` The XMLNS namespace (used in DOM)
`static short` | `XSI_CODE`
`static String` | `XSLT` Fixed namespace name for XSLT: "http://www.w3.org/1999/XSL/Transform"
`static short` | `XSLT_CODE` Numeric code representing the XSLT namespace

Method Summary
`static String` | `findSimilarNamespace(String candidate)` Find a similar namespace to one that is a possible mis-spelling
`static boolean` | `isReserved(String uri)` Determine whether a namespace is a reserved namespace
`static boolean` | `isReservedInQuery(String uri)` Determine whether a namespace is a reserved namespace

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL

    public static final String NULL

  A URI representing the null namespace (actually, an empty string)

  See Also:
    Constant Field Values

### NULL_CODE

    public static final short NULL_CODE

  The numeric URI code representing the null namespace (actually, zero)

  See Also:
    Constant Field Values

### XML

    public static final String XML

  Fixed namespace name for XML: "http://www.w3.org/XML/1998/namespace".

  See Also:
    Constant Field Values

### XML_CODE

    public static final short XML_CODE

  Numeric code representing the XML namespace

  See Also:
    Constant Field Values

### XSLT

    public static final String XSLT

  Fixed namespace name for XSLT: "http://www.w3.org/1999/XSL/Transform"

  See Also:
    Constant Field Values

### XSLT_CODE

    public static final short XSLT_CODE

  Numeric code representing the XSLT namespace

  See Also:
    Constant Field Values

### SAXON

    public static final String SAXON

  Fixed namespace name for SAXON: "http://saxon.sf.net/"

  See Also:
    Constant Field Values

### SAXON_CODE

    public static final short SAXON_CODE

  Numeric code representing the SAXON namespace

  See Also:
    Constant Field Values

### SCHEMA

    public static final String SCHEMA

  Namespace name for XML Schema: "http://www.w3.org/2001/XMLSchema"

  See Also:
    Constant Field Values

### SCHEMA_CODE

    public static final short SCHEMA_CODE

  Numeric code representing the schema namespace

  See Also:
    Constant Field Values

### SCHEMA_INSTANCE

    public static final String SCHEMA_INSTANCE

  XML-schema-defined namespace for use in instance documents ("xsi")

  See Also:
    Constant Field Values

### XSI_CODE

    public static final short XSI_CODE

See Also:
  Constant Field Values

### SCHEMA_VERSIONING

    public static final String SCHEMA_VERSIONING

  Namespace defined in XSD 1.1 for schema versioning

  See Also:
    Constant Field Values

### SQL

    public static final String SQL

  Fixed namespace name for SAXON SQL extension: "http://saxon.sf.net/sql"

  See Also:
    Constant Field Values

### EXSLT_COMMON

    public static final String EXSLT_COMMON

  Fixed namespace name for EXSLT/Common: "http://exslt.org/common"

  See Also:
    Constant Field Values

### EXSLT_MATH

    public static final String EXSLT_MATH

  Fixed namespace name for EXSLT/math: "http://exslt.org/math"

  See Also:
    Constant Field Values

### EXSLT_SETS

    public static final String EXSLT_SETS

  Fixed namespace name for EXSLT/sets: "http://exslt.org/sets"

  See Also:
    Constant Field Values

### EXSLT_DATES_AND_TIMES

    public static final String EXSLT_DATES_AND_TIMES

  Fixed namespace name for EXSLT/date: "http://exslt.org/dates-and-times"

  See Also:
    Constant Field Values

### EXSLT_RANDOM

    public static final String EXSLT_RANDOM

  Fixed namespace name for EXSLT/random: "http://exslt.org/random"

  See Also:
    Constant Field Values

### FN

    public static final String FN

  The standard namespace for functions and operators

  See Also:
    Constant Field Values

### ERR

    public static final String ERR

  The standard namespace for system error codes

  See Also:
    Constant Field Values

### LOCAL

    public static final String LOCAL

  Predefined XQuery namespace for local functions

  See Also:
    Constant Field Values

### MATH

    public static final String MATH

  Math namespace for the XPath 3.0 math functions

  See Also:
    Constant Field Values

### MAP_FUNCTIONS

    public static final String MAP_FUNCTIONS

  Namespace URI for XPath 3.0 functions associated with maps

  See Also:
    Constant Field Values

### MICROSOFT_XSL

    public static final String MICROSOFT_XSL

  Recognize the Microsoft namespace so we can give a suitably sarcastic error message

  See Also:
    Constant Field Values

### XHTML

    public static final String XHTML

  The XHTML namespace http://www.w3.org/1999/xhtml

  See Also:
    Constant Field Values

### XMLNS

    public static final String XMLNS

  The XMLNS namespace (used in DOM)

  See Also:
    Constant Field Values

### JAVA_TYPE

    public static final String JAVA_TYPE

  Namespace for types representing external Java objects

  See Also:
    Constant Field Values

### DOT_NET_TYPE

    public static final String DOT_NET_TYPE

  Namespace for types representing external .NET objects

  See Also:
    Constant Field Values

### ANONYMOUS

    public static final String ANONYMOUS

  Namespace for names allocated to anonymous types. This exists so that a name fingerprint can be allocated for use as a type annotation.

  See Also:
    Constant Field Values

### SCM

    public static final String SCM

  Namespace for the Saxon serialization of the schema component model

  See Also:
    Constant Field Values

### OBJECT_MODEL_SAXON

    public static final String OBJECT_MODEL_SAXON

  URI identifying the Saxon object model for use in the JAXP 1.3 XPath API

  See Also:
    Constant Field Values

### OBJECT_MODEL_XOM

    public static final String OBJECT_MODEL_XOM

  URI identifying the XOM object model for use in the JAXP 1.3 XPath API

  See Also:
    Constant Field Values

### OBJECT_MODEL_JDOM

    public static final String OBJECT_MODEL_JDOM

  URI identifying the JDOM object model for use in the JAXP 1.3 XPath API

  See Also:
    Constant Field Values

### OBJECT_MODEL_DOM4J

    public static final String OBJECT_MODEL_DOM4J

  URI identifying the DOM4J object model for use in the JAXP 1.3 XPath API

  See Also:
    Constant Field Values

### OBJECT_MODEL_DOT_NET_DOM

    public static final String OBJECT_MODEL_DOT_NET_DOM

  URI identifying the .NET DOM object model (not used, but needed for consistency)

  See Also:
    Constant Field Values

### CODEPOINT_COLLATION_URI

    public static final String CODEPOINT_COLLATION_URI

  URI identifying the Unicode codepoint collation

  See Also:
    Constant Field Values

### SAXON_GENERATED_GLOBAL

    public static final String SAXON_GENERATED_GLOBAL

  URI for the names of generated global variables

  See Also:
    Constant Field Values

### SAXON_CONFIGURATION

    public static final String SAXON_CONFIGURATION

  URI for the Saxon configuration file

  See Also:
    Constant Field Values

Method Detail

### isReserved

    public static boolean isReserved(String uri)

  Determine whether a namespace is a reserved namespace

  Parameters:
    `uri` - the namespace URI to be tested
  Returns:
    true if this namespace URI is a reserved namespace

### isReservedInQuery

    public static boolean isReservedInQuery(String uri)

  Determine whether a namespace is a reserved namespace

  Parameters:
    `uri` - the namespace URI to be tested
  Returns:
    true if this namespace URI is reserved in XQuery

### findSimilarNamespace

    public static String findSimilarNamespace(String candidate)

  Find a similar namespace to one that is a possible mis-spelling

  Parameters:
    `candidate` - the possibly mis-spelt namespace
  Returns:
    the correct spelling of the namespace

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.